<?php
namespace Ep\Woo;

use Ep\Twig\View\AbstractViewFactory;

return [
    'views' => [
        'aliases' => [
            'woo.content_product'       => View\ContentProduct::class,
            'woo.sale_badge'            => View\SaleBadge::class,
            'woo.form.addtocart'        => Form\View\AddToCart::class,
            'woo.form.element.quantity' => Form\View\Element\Quantity::class,
        ],

        'factories' => [
            View\ContentProduct::class        => AbstractViewFactory::class,
            View\SaleBadge::class             => AbstractViewFactory::class,
            Form\View\AddToCart::class        => Form\View\AddToCartFactory::class,
            Form\View\Element\Quantity::class => AbstractViewFactory::class,
        ],
    ],
];